Skip to main content
`Ctrl`+`K`
scipy.stats.sampling.FastGeneratorInversion.

# support

FastGeneratorInversion.support()

  Support of the distribution.

  Returns:
    a, b float

      end-points of the distribution’s support.

  Notes

  Note that the support of the distribution depends on `loc`, `scale` and domain.

  Examples

      >>> from scipy import stats
      >>> from scipy.stats.sampling import FastGeneratorInversion

  Define a truncated normal distribution:

      >>> d_norm = FastGeneratorInversion(stats.norm(), domain=(0, 1))
      >>> d_norm.support()
      (0, 1)

  Shift the distribution:

      >>> d_norm.loc = 2.5
      >>> d_norm.support()
      (2.5, 3.5)